const nestedJsonToCsv = require('./nestedJsonToCsv').nestedJsonToCsv;
const csvToNestedJson = require('./csvToNestedJson').csvToNestedJson;
const general = require('./generalFunctions.js');
const jsonFile = require('./products.json')

exports.nestedJsonToCsv = nestedJsonToCsv;
exports.csvToNestedJson = csvToNestedJson;


async function main() {

    const csvFile = await general.fileContent("file2.csv");
    const json = csvToNestedJson(jsonFile, csvFile, true, true);
    // general.saveFile("newJson.json", JSON.stringify(json));
    console.log(json);
}

main();

